/**
 * 跟踪当前活跃的元素  `document.activeElement`
 *
 * @template T 继承自 HTMLElement 的类型，用于指定返回的活跃元素的类型
 * @returns 返回当前活跃的元素，如果类型不匹配则返回null
 */
declare const useActiveElement: <T extends HTMLElement>() => T | null;
export default useActiveElement;
