import { Button, Space } from 'antd';
import { useAudio } from "./..";
import React from 'react';
var isDev = process.env.NODE_ENV === 'development';
var publicPath = !isDev ? "/rc-use-hook/" : '/';
var Demo1 = function Demo1() {
  var _useAudio = useAudio("".concat(publicPath, "test.mp3"), {
      onPlay: function onPlay() {
        return console.log('Audio is playing');
      },
      onPause: function onPause() {
        return console.log('Audio is paused');
      },
      onStop: function onStop() {
        return console.log('Audio is stopped');
      },
      onEnd: function onEnd() {
        return console.log('Audio has ended');
      }
    }),
    play = _useAudio.play,
    pause = _useAudio.pause,
    stop = _useAudio.stop,
    isPlaying = _useAudio.isPlaying;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Space, null, /*#__PURE__*/React.createElement(Button, {
    disabled: isPlaying,
    onClick: function onClick() {
      return play();
    }
  }, "Play"), /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      return pause();
    }
  }, "Pause"), /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      return stop();
    }
  }, "Stop")), /*#__PURE__*/React.createElement("p", null, "Is Playing: ", isPlaying ? 'Yes' : 'No'));
};
export default Demo1;