/**
 * 运行一个函数，在每次浏览器重绘之前调用它。
 * @params {(deltaTime: number) => void )} `deltaTime` 为每一次函数运行的间隔大多数为 16.7ms
 */
declare const useRequestAnimationFrame: (callback: (deltaTime: number) => void) => void;
export default useRequestAnimationFrame;
