import { getTargetElement } from "../utils";
/**
 * 设置锁定元素的滚动, 常用于弹窗 抽屉等组件
 * @param lock 初始时是否锁定 默认为fasle
 * @param target  要锁定额度元素 默认为body
 * @param scrollW 滚动条宽度 默认17px
 * @return 返回锁定的状态和修改锁定的方法数组
 */
declare const useLockScroll: (target?: Parameters<typeof getTargetElement>[0], lock?: boolean, scrollW?: number) => [boolean, (bool: boolean) => void];
export default useLockScroll;
